Summary:   Motif-based BDF, Linux console (PSF, CP, and FNT) font editor
Name:      xmbdfed
Version:   2.4
Release:   1
Copyright: 1996, 1997 Computing Research Labs, New Mexico State University
Group:     Development/X11
Source0:   ftp://crl.nmsu.edu/CLR/multiling/General/xmbdfed-%{PACKAGE_VERSION}.tar.gz
Patch0:    xmbdfed.patch
BuildRoot: /tmp/xmbdfed-root
Packager:  Tomasz Koczko <kloczek@idk.com.pl.pl>
%description

XmBDFEditor is a Motif-based BDF font editor with the following features:
  o  Multiple fonts can be loaded from the command line.
  o  Multiple fonts can be open at the same time.
  o  Cutting and pasting glyphs between fonts.
  o  Multiple glyph bitmap editors can be open at the same time.
  o  Cutting and pasting between glyph bitmap editors.
  o  Automatic correction of certain metrics when a font is loaded.
  o  Generation of XLFD font names for fonts without XLFD names.
  o  Update an XLFD font name from the font properties.
  o  Update the font properties from an XLFD font name.
  o  Font property editor.
  o  Font comment editor.
  o  Supports unencoded glyphs (ENCODING of -1).
  o  Display of glyph encodings in octal, decimal, or hex.
  o  Builtin on-line help.
  o  Imports PK/GF fonts.
  o  Imports HBF (Han Bitmap Font) fonts.
  o  Imports Linux console fonts (PSF, CP, and FNT).
  o  Imports Sun console fonts (vfont format).
  o  Imports fonts from the X server.
                                                                                
A few things missing from this font editor:
  o  No support for scaling fonts.
  o  No support to oblique or reverse oblique (shear) fonts.
  o  No way to create space glyphs.
  o  Fonts with right-to-left direction (negative widths) not supported.
  o  Many more font properties could be automatically calculated.
  o  No way to edit comments appearing in the properties list.
                                                                                
Known problems:
  o  Text fields do not have horizontal scrollbars.  Some machines running
     X11R6 only have arrow keys on the keypad which earlier versions of
     Motif don't recognize.
  o  Does not handle double quotes correctly in values for properties of
     type ATOM.
  o  Deleting glyphs from or inserting glyphs into a font grid do not update    
     the glyph editors if they happen to be editing a deleted glyph or a
     glyph that moved due to an insertion.

%prep
%setup
%patch0 -p1

rm -rf $RPM_BUILD_ROOT

%build
make

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1

install -s xmbdfed $RPM_BUILD_ROOT/usr/X11R6/bin
install xmbdfed.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xmbdfed.1

%files
%attr(-, root, root) %doc README COPYRIGHTS
%attr(755, root, root) /usr/X11R6/bin/xmbdfed
%attr(644, root, man) /usr/X11R6/man/man1/xmbdfed.1

%changelog
* Fri Sep 26 1997 Tomasz Koczko <kloczek@idk.ocm.pl>          (2.3-1)
- changer %description,
* Mon Sep 15 1997 Tomasz Koczko <kloczek@idk.ocm.pl>          (2.2-2)
- chenged %attr in %doc to (-, root, root),
* Wed Jul 23 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- new version 2.2,
- added %%{PACKAGE_VERSION} macro in Source,
- anned %attr macro to %doc files,
- changed permision on man page (644,root,root) -> (644, root, man),
- added "rm -rf $RPM_BUILD_ROOT" in %prep.
* Wed May 21 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- first release in rpm package.
